Package org.eclipse.lemminx.extensions.xerces

## Class LSPMessageFormatter

- java.lang.Object
- - org.eclipse.lemminx.extensions.xerces.LSPMessageFormatter

All Implemented Interfaces:
  `org.apache.xerces.util.MessageFormatter`

    public class LSPMessageFormatter
    extends Object
    implements org.apache.xerces.util.MessageFormatter

SchemaMessageProvider implements an XMLMessageProvider that provides localizable error messages for the W3C XML Schema Language

Version:
  $Id: XSMessageFormatter.java 813087 2009-09-09 19:35:27Z mrglavas $ Modified to use additional resource bundle
Author:
  Elena Litani, IBM, Red Hat Inc. <nkomonen@redhat.com>

### Field Summary

Fields
`static String` `SCHEMA_DOMAIN` The domain of messages concerning the XML Schema: Structures specification.

### Constructor Summary

Constructors
`LSPMessageFormatter()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Object[]` `enumeration_valid_solution​(Object[] arguments)`
`String` `formatMessage​(Locale locale, String key, Object[] arguments)` Formats a message with the specified arguments using the given locale information.
`static Object[]` `reformatSchemaArguments​(XMLSchemaErrorCode code, Object[] arguments)` Modifies the schema message arguments to a cleaned down format

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SCHEMA_DOMAIN

    public static final String SCHEMA_DOMAIN

The domain of messages concerning the XML Schema: Structures specification.

See Also:
  Constant Field Values

### Constructor Detail

#### LSPMessageFormatter

    public LSPMessageFormatter()

### Method Detail

#### formatMessage

    public String formatMessage​(Locale locale,
                                String key,
                                Object[] arguments)
                         throws MissingResourceException

Formats a message with the specified arguments using the given locale information.

Specified by:
  `formatMessage` in interface `org.apache.xerces.util.MessageFormatter`
Parameters:
  `locale` - The locale of the message.
  `key` - The message key.
  `arguments` - The message replacement text arguments. The order of the arguments must match that of the placeholders in the actual message.
Returns:
  Returns the formatted message.
Throws:
  `MissingResourceException` - Thrown if the message with the specified key cannot be found.

#### reformatSchemaArguments

    public static Object[] reformatSchemaArguments​(XMLSchemaErrorCode code,
                                                   Object[] arguments)

Modifies the schema message arguments to a cleaned down format

Parameters:
  `code` -
  `message` -
Returns:

#### enumeration_valid_solution

    public static Object[] enumeration_valid_solution​(Object[] arguments)